Bug 818327 - Resource Import button is disabled after each use
Resource Import button is disabled after each use
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: JON 3.2.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 15:15 EDT by Viet Nguyen
Modified: 2013-04-22 14:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-22 14:19:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (110.99 KB, image/png)
2012-05-02 15:15 EDT, Viet Nguyen
no flags Details

  None (edit)
Description Viet Nguyen 2012-05-02 15:15:13 EDT
Description of problem:
Platform Inventory -> Child resource -> Import button is disabled after Resource Import Wizard is closed/cancelled


Version-Release number of selected component (if applicable):
Version: 3.0.1.GA
Build Number: bf8f49a:9fe6384
GWT Version: 2.0.4
SmartGWT Version: 2.4

How reproducible:


Steps to Reproduce:
1.  Inventory -> Platforms -> Select a platform (eg localhost.localdomain) -> Inventory
2.Click Import and select a resource type such JMX to bring up the manual Import Wizard
3. Cancel or follow through with the import 
  
Actual results:
Import button is disabled after wizard is closed

Expected results:
Being able to click Import again

Additional info:
Comment 1 Viet Nguyen 2012-05-02 15:15:46 EDT
Created attachment 581698 [details]
screenshot
Comment 2 Mike Foley 2012-05-08 15:33:46 EDT
per BZ triage ... crouch, loleary, foley
Comment 3 John Mazzitelli 2013-04-22 14:19:26 EDT
this looks to already be fixed. Tried on my own local JON 3.2.0 alpha build and the Import menu button never gets disabled.

Note You need to log in before you can comment on or make changes to this bug.